使用shell進行呼叫指令碼或者命令driver的測試

來源:互聯網
上載者:User

#!/bin/bash

compile=gcc
test_filename=driver.c
test_filename_base=${test_filename%.*}
test_basename=test

# echo and run the specified command
echo_and_run()
{
   echo $@
   eval $@

   if [ $? -ne 0 ]; then
       exit 1
   fi
}

####################################################################################################

# 測試全編譯時間的-o選項
echo_and_run ${compile} --xtensa-core=HiDSP170 ${test_filename}
[ -e "a.out" ] || echo "$LINENO : FAILED";
[ -e "a.out" ] && echo "$LINENO : PASS"; rm "a.out"; 
echo_and_run ${compile} --xtensa-core=HiDSP170 ${test_filename} -o ${test_basename}.out
[ -e "${test_basename}.out" ] || echo "$LINENO : FAILED"; 
[ -e "${test_basename}.out" ] && echo "$LINENO : PASS"; rm "${test_basename}.out";

# 測試-M時的-o選項
echo_and_run ${compile} --xtensa-core=HiRISC170 -M -MM -E -S -c ${test_filename}
[ -e "${test_filename_base}.s" ] || { echo "$LINENO : FAILED"; exit; }
[ -e "${test_filename_base}.s" ] && echo "$LINENO : PASS"; rm "${test_filename_base}.s"; 
echo_and_run ${compile} --xtensa-core=HiRISC170 -M -MM -E -S -c ${test_filename} -o ${test_basename}.s
[ -e "${test_basename}.s" ] || echo "$LINENO : FAILED";
[ -e "${test_basename}.s" ] && echo "$LINENO : PASS"; rm "${test_basename}.s";

# 測試-S時的-o選項
echo_and_run ${compile} --xtensa-core=HiRISC170 -S -c ${test_filename}
[ -e "${test_filename_base}.s" ] || echo "$LINENO : FAILED";
[ -e "${test_filename_base}.s" ] && echo "$LINENO : PASS"; rm "${test_filename_base}.s"; 
echo_and_run ${compile} --xtensa-core=HiRISC170 -S ${test_filename} -o ${test_basename}.s
[ -e "${test_basename}.s" ] || echo "$LINENO : FAILED";
[ -e "${test_basename}.s" ] && echo "$LINENO : PASS"; rm "${test_basename}.s";

# 測試-c時的-o選項
echo_and_run ${compile} --xtensa-core=HiRISC170 -c ${test_filename}
[ -e "${test_filename_base}.o" ] || echo "$LINENO : FAILED";
[ -e "${test_filename_base}.o" ] && echo "$LINENO : PASS"; rm "${test_filename_base}.o"; 
echo_and_run ${compile} --xtensa-core=HiRISC170 -S ${test_filename} -o ${test_basename}.o
[ -e "${test_basename}.o" ] || echo "$LINENO : FAILED";
[ -e "${test_basename}.o" ] && echo "$LINENO : PASS"; rm "${test_basename}.o";

相關文章

聯繫我們

該頁面正文內容均來源於網絡整理,並不代表阿里雲官方的觀點,該頁面所提到的產品和服務也與阿里云無關,如果該頁面內容對您造成了困擾,歡迎寫郵件給我們,收到郵件我們將在5個工作日內處理。

如果您發現本社區中有涉嫌抄襲的內容,歡迎發送郵件至: info-contact@alibabacloud.com 進行舉報並提供相關證據,工作人員會在 5 個工作天內聯絡您,一經查實,本站將立刻刪除涉嫌侵權內容。

A Free Trial That Lets You Build Big!

Start building with 50+ products and up to 12 months usage for Elastic Compute Service

  • Sales Support

    1 on 1 presale consultation

  • After-Sales Support

    24/7 Technical Support 6 Free Tickets per Quarter Faster Response

  • Alibaba Cloud offers highly flexible support services tailored to meet your exact needs.